Get a recording
curl --request GET \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/transcriptions/{session_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "097e5805-ca84-46a4-addb-69712072b960",
"filename": "JFK at Rice University, 1962.mp3",
"model": "nur-v1",
"duration_seconds": 1060.009,
"created_at": "2026-09-29T03:57:27.411560+00:00",
"segment_count": 182,
"speaker_count": 1,
"word_count": 2239,
"language": "en",
"size_bytes": 16961244,
"transcribe_ms": 23501,
"has_audio": true,
"intelligence_status": "complete",
"preview": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley and…",
"result": {
"language": "en",
"language_probability": 1,
"duration": 1060.009,
"text": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley and Congressman …",
"segments": [
{
"id": 0,
"start": 2.25,
"end": 10.91,
"text": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley",
"speaker": "S01",
"pace_wpm": 69,
"energy_db": -12.1,
"level_db": -12.7,
"snr_db": 16.8,
"audibility": "off_mic",
"confidence": 0.878
}
],
"words": [
{
"word": "President",
"start": 2.26,
"end": 2.6,
"confidence": 0.906,
"segment_id": 0,
"speaker": "S01",
"level_db": -11.3,
"snr_db": 18.2,
"audibility": "off_mic"
},
{
"word": "Pritzker,",
"start": 2.62,
"end": 2.92,
"confidence": 0.098,
"segment_id": 0,
"speaker": "S01",
"level_db": -11.6,
"snr_db": 17.9,
"audibility": "off_mic"
}
],
"speech_seconds": 1049.88,
"silence_seconds": 10.129,
"noise_floor_db": -29.5
},
"speaker_names": {},
"intelligence": {
"status": "complete",
"stage": "complete",
"progress": 1,
"…": "see GET …/intelligence"
},
"speaker_map": {
"S01": {
"speaker_id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"similarity": 0.709,
"matched": true
}
},
"project": {
"id": "e4af92a4-3bf6-467b-95a2-7b04fb610d1c",
"key": "presidential-speeches",
"name": "Presidential speeches",
"speakers": [
{
"id": "cfb15e2e-5dd2-42b8-bccc-f4f78cae747c",
"number": 2,
"name": "Franklin D. Roosevelt",
"label": "P2",
"clip_count": 4,
"evidence_seconds": 121.3
},
{
"id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"label": "P3",
"clip_count": 2,
"evidence_seconds": 72
}
]
},
"artifacts": {
"stems": [],
"searches": [
{
"id": "076fa49027bd",
"query": "applause",
"status": "complete",
"progress": 1,
"spans": [
{
"start": 234.6,
"end": 244.44,
"score": 0.998
},
{
"start": 519.6,
"end": 528.52,
"score": 0.983
},
{
"start": 1052.16,
"end": 1060.04,
"score": 0.991
}
]
}
]
},
"media": {
"frame_rate": "29.97",
"drop_frame": true,
"start_timecode": "01:00:00;00",
"timecode_source": "user",
"tape": "RICE62"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Audio intelligence
Get a recording
One saved recording in full: the transcript (result), the analysis
(intelligence), which project speaker each voice is (speaker_map), the
project, and any stems or sound searches (artifacts). Stem download URLs come
from GET /v1/speech/transcriptions/{session_id}/stems.
GET
/
v1
/
speech
/
transcriptions
/
{session_id}
Get a recording
curl --request GET \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/transcriptions/{session_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "097e5805-ca84-46a4-addb-69712072b960",
"filename": "JFK at Rice University, 1962.mp3",
"model": "nur-v1",
"duration_seconds": 1060.009,
"created_at": "2026-09-29T03:57:27.411560+00:00",
"segment_count": 182,
"speaker_count": 1,
"word_count": 2239,
"language": "en",
"size_bytes": 16961244,
"transcribe_ms": 23501,
"has_audio": true,
"intelligence_status": "complete",
"preview": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley and…",
"result": {
"language": "en",
"language_probability": 1,
"duration": 1060.009,
"text": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley and Congressman …",
"segments": [
{
"id": 0,
"start": 2.25,
"end": 10.91,
"text": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley",
"speaker": "S01",
"pace_wpm": 69,
"energy_db": -12.1,
"level_db": -12.7,
"snr_db": 16.8,
"audibility": "off_mic",
"confidence": 0.878
}
],
"words": [
{
"word": "President",
"start": 2.26,
"end": 2.6,
"confidence": 0.906,
"segment_id": 0,
"speaker": "S01",
"level_db": -11.3,
"snr_db": 18.2,
"audibility": "off_mic"
},
{
"word": "Pritzker,",
"start": 2.62,
"end": 2.92,
"confidence": 0.098,
"segment_id": 0,
"speaker": "S01",
"level_db": -11.6,
"snr_db": 17.9,
"audibility": "off_mic"
}
],
"speech_seconds": 1049.88,
"silence_seconds": 10.129,
"noise_floor_db": -29.5
},
"speaker_names": {},
"intelligence": {
"status": "complete",
"stage": "complete",
"progress": 1,
"…": "see GET …/intelligence"
},
"speaker_map": {
"S01": {
"speaker_id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"similarity": 0.709,
"matched": true
}
},
"project": {
"id": "e4af92a4-3bf6-467b-95a2-7b04fb610d1c",
"key": "presidential-speeches",
"name": "Presidential speeches",
"speakers": [
{
"id": "cfb15e2e-5dd2-42b8-bccc-f4f78cae747c",
"number": 2,
"name": "Franklin D. Roosevelt",
"label": "P2",
"clip_count": 4,
"evidence_seconds": 121.3
},
{
"id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"label": "P3",
"clip_count": 2,
"evidence_seconds": 72
}
]
},
"artifacts": {
"stems": [],
"searches": [
{
"id": "076fa49027bd",
"query": "applause",
"status": "complete",
"progress": 1,
"spans": [
{
"start": 234.6,
"end": 244.44,
"score": 0.998
},
{
"start": 519.6,
"end": 528.52,
"score": 0.983
},
{
"start": 1052.16,
"end": 1060.04,
"score": 0.991
}
]
}
]
},
"media": {
"frame_rate": "29.97",
"drop_frame": true,
"start_timecode": "01:00:00;00",
"timecode_source": "user",
"tape": "RICE62"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}